Subject: Re: bug#36313: 12.1.2; percent symbol in \url{}

From: Ryo Furue <[email-masked]>
Date: Mon, 24 Jun 2019 11:48:26 +0900

Hi Arash,

On Mon, Jun 24, 2019 at 4:57 AM Arash Esbati <[email-masked]> wrote:

>
> AUCTeX can DTRT here if you give her a chance.  Please customize the
> variable `TeX-parse-self' to t, restart Emacs and open your .tex file
> again.  AUCTeX will then load a support file for hyperref or url (or
> both, depending on your .tex file) and the fontification will be
> correct.
>

Wow, that works like magic!  Thanks for your help.

Having said that, may I ask why that's not set by default?  I googled but
found no metion to TeX-parse-self to parse special characters within URLs.

(Well, if this discussion is searchable by Google, then it will be the
webpage I wanted :-)

Regards,
Ryo